v1.0.0
OpenAPI 3.1.0

Get a translation of a transactional message

US region

Client Libraries

Get a translation of a transactional message

Returns information about a translation of an individual transactional message, including the message content.

Path Parameters
  • transactional_id
    Type: integer
    required

    The identifier of your transactional message. You'll find this in the UI or URL of your transactional message. For example, if this is the path of a transactional message URL - /transactional/3/templates/139 - the transactional_id is 3.

  • language
    Type: string
    required

    A language tag of a language variant. If you don't provide a language (an empty string), we'll use your default language. If the language variant does not exist, we'll return an error.

Responses
  • application/json
  • 400

    The language in your request does not exist.

  • 404

    The transactional message does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/transactional/{transactional_id}/language/{language}
curl 'https://api.customer.io/v1/transactional/1/language/{language}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "content": [
    {
      "id": 96,
      "name": "Receipt",
      "created": 1552341937,
      "updated": 1552341937,
      "body": "string",
      "language": "fr",
      "type": "email",
      "from": "sentFrom@example.com",
      "from_id": 1,
      "reply_to": "replyto@example.com",
      "reply_to_id": 38,
      "preprocessor": "premailer",
      "recipient": "{{customer.email}}",
      "subject": "Did you get that thing I sent you?",
      "cc": "string",
      "bcc": "string",
      "fake_bcc": true,
      "preheader_text": "string",
      "body_amp": "string",
      "headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
    }
  ]
}